# Copyright (C) 2010 Generalitat de Catalunya 
# 
# This file is part of Linkat CTTI.  
# 
# Linkat CTTI is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat CTTI is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: David Cassany (dcassany@opentrends.net), openTrends Solucions
# i Sistemes, S.L.
# 
# You may contact the copyright holder at: Centre de Telecomunicacions i
# Tecnologies de la Informació de la Generalitat de Catalunya, Pg. de Gràcia,
# 11 Esc. A 3a. Planta, 08007 Barcelona, correu.ctti@gencat.cat.


Name:         linkat4-LTSP-fix-LDM_DIRECTX
License:      GPL
Group:        Productivity/Networking/System
Summary:      Solution for slower LTSP Thin Clients networks.
Version:      0.2
Release:      11.1
URL:          http://linkat.xtec.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}-%{version}.tar.bz2
Requires:     linkat4-LTSP

Vendor:       linkat
Distribution: education

%description
This is a configuration script to enable data compression on Thin Clients of the
Linkat4 LTSP infrastructure.

%prep

%setup -q

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/etc
cp linkat4-LTSP-fix.info ${RPM_BUILD_ROOT}/etc
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
cp linkat4-LTSP-fix-LDM_DIRECTX.sh ${RPM_BUILD_ROOT}/usr/sbin
chmod u+x ${RPM_BUILD_ROOT}/usr/sbin/linkat4-LTSP-fix-LDM_DIRECTX.sh
mkdir -p ${RPM_BUILD_ROOT}/usr/share/linkat4-LTSP-fix-LDM_DIRECTX
cp linkat4-LTSP-fix-LDM_DIRECTX.desktop ${RPM_BUILD_ROOT}/usr/share/linkat4-LTSP-fix-LDM_DIRECTX

%pre

%post
if [ -d /root/Desktop ] ; then
	cp /usr/share/linkat4-LTSP-fix-LDM_DIRECTX/linkat4-LTSP-fix-LDM_DIRECTX.desktop /root/Desktop
	chmod +x /root/Desktop/linkat4-LTSP-fix-LDM_DIRECTX.desktop
fi 
if [ -d /root/Escriptori ] ; then
	cp /usr/share/linkat4-LTSP-fix-LDM_DIRECTX/linkat4-LTSP-fix-LDM_DIRECTX.desktop /root/Escriptori
	chmod +x /root/Escriptori/linkat4-LTSP-fix-LDM_DIRECTX.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ -f /root/Desktop/linkat4-LTSP-fix-LDM_DIRECTX.desktop ] ; then
	rm /root/Desktop/linkat4-LTSP-fix-LDM_DIRECTX.desktop
fi 
if [ -f /root/Escriptori/linkat4-LTSP-fix-LDM_DIRECTX.desktop ] ; then
	rm /root/Escriptori/linkat4-LTSP-fix-LDM_DIRECTX.desktop
fi

%files
%defattr(644,root,root)
/etc/linkat4-LTSP-fix.info
%attr(744,root,root) /usr/sbin/linkat4-LTSP-fix-LDM_DIRECTX.sh
%attr(744,root,root) /usr/share/linkat4-LTSP-fix-LDM_DIRECTX/linkat4-LTSP-fix-LDM_DIRECTX.desktop

%changelog

* Fri Mar 25 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Corrected some zenity text.

* Mon Feb 14 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Inverted LDM_DIRECTX mean on configuration.

* Tue Feb 8 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Added chattr capability.
- Fixed some regexpr.
- Changed some text.

* Wed Feb 2 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Fixed execution permissions.
- Changed wrong names.

* Thu Nov 4 2010 David Cassany Viladomat <dcassany@opentrends.net>
- First release.
